# ArrayObject::offsetSet

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetSet — Définie $newval comme valeur à l'$index spécifié

### Description

public ArrayObject::offsetSet(mixed `$key`, mixed `$value`): void

Définit `value` comme valeur à l'index `key` spécifié.

### Liste de paramètres

`key`

  L'index à définir.

`value`

  La nouvelle valeur de l'index `key`.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple avec ArrayObject::offsetSet()

`<?php
class Example {
public $property = 'prop:public';
}
$arrayobj = new ArrayObject(new Example());
$arrayobj->offsetSet(4, 'four');
$arrayobj->offsetSet('group', array('g1', 'g2'));
var_dump($arrayobj);
$arrayobj = new ArrayObject(array('zero','one'));
$arrayobj->offsetSet(null, 'last');
var_dump($arrayobj);
?>`

L'exemple ci-dessus va afficher :

    object(ArrayObject)#1 (1) {
      ["storage":"ArrayObject":private]=>
      object(Example)#2 (3) {
        ["property"]=>
        string(11) "prop:public"
        ["4"]=>
        string(4) "four"
        ["group"]=>
        array(2) {
          [0]=>
          string(2) "g1"
          [1]=>
          string(2) "g2"
        }
      }
    }
    object(ArrayObject)#3 (1) {
      ["storage":"ArrayObject":private]=>
      array(3) {
         [0]=>
         string(4) "zero"
         [1]=>
         string(3) "one"
         [2]=>
         string(4) "last"
      }
    }

### Voir aussi

- ArrayObject::append() - Ajoute la valeur à la fin d'un tableau